package lekcija1;

/**
 * Klasa Pravougaonik. Polja a i b su stranice pravougaonika. Poseduje metode 
 * za izracunavanje obima i povrsine.
 * @author Vladimir Dimitrieski
 *
 */
public class Pravougaonik {

	private double a;
	private double b;
	
	public Pravougaonik(double a, double b) {
		//this je referenca na objekat nad kojim se poziva metoda (ne postoje pokazivaci)
		this.a = a;
		this.b = b;
	}
	
	public Pravougaonik(Pravougaonik p) {
		this.a = p.a;
		this.b = p.b;
	}
	
	public double getA() {
		return a;
	}
	
	public void setA(double a) {
		this.a = a;
	}
	
	public double getB() {
		return b;
	}
	
	public void setB(double b) {
		this.b = b;
	}
	
	public double getO() {
		return 2*a + 2*b;
	}
	
	public double getP() {
		return a * b;
	}
	
	//izvrsavanje programa krece od main metode
	public static void main(String[] args) {
		//promenljiva p je referenca na objekat klase Pravougaonik
		Pravougaonik p = new Pravougaonik(3, 4);
		System.out.println(p.getA() + "\t" + p.getB());
	}

}
